<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo Vue</title>

    <!-- En este ejemplo vamos a utilizar directamente el CDN -->
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="03-ejemplo-v-model.js" defer></script>
</head>
<body>

    <!-- 
        Ejemplo v-model
            https://vuejs.org/guide/essentials/forms.html
            
        En este ejemplo vamos a introducir personas de modo que se pueda actualizar de forma dinámica
        la lista de saludos.
    -->
    <div id="app">

        <!-- El texto lo voy a introducir con este input -->
        <input 
            type="text" 
            v-model="nuevaPersona" 
            v-on:keypress="addPersona($event)"
            >
                        
        <hr>

        <!-- El texto lo voy a introducir con este input utilizando un modificador de evento
            de modo que no sea necesario filtrar dentro del método por la tecla pulsada -->
        <input 
            type="text" 
            v-model="nuevaPersona" 
            v-on:keypress.enter="addPersonaMod()"
            >

        <hr>

        <!-- El v-for permite mostrar todas las personas -->
        <ul>
            <!-- Este elemento se va a replicar en función de una condición 
                Si pulsamos en saludar, se asignan las personas a saludar.
            -->
            <li v-for="persona in personas">                
                <span>{{ mensaje }}</span>
                <span> {{ persona.nombre }} </span> 
            </li>            
        </ul>

        <button v-on:click="saludar()">Saludar</button>

        <hr>

        <!-- 
            En esta sección vemos como la propiedad es reactiva y cuando modificamos el contenido
            en el input, se actualiza la propiedad
        -->
        <h2>Debug</h2>
        <ul>
            <li>nuevaPersona = {{ nuevaPersona }}</li>
        </ul>
    </div>


</body>
</html>